import unittest

from etlt.cleaner.MoneyCleaner import MoneyCleaner


class MoneyCleanerTest(unittest.TestCase):
    # ------------------------------------------------------------------------------------------------------------------
    def _test(self, expected, dirty):
        clean = MoneyCleaner.clean(dirty)
        self.assertEqual(expected, clean)

    # ------------------------------------------------------------------------------------------------------------------
    def test00(self):
        self._test('', '')
        self._test('qwerty', 'qwerty')

    # ------------------------------------------------------------------------------------------------------------------
    def test01(self):
        self._test('1123.12', '1.123,12')
        self._test('1123.12', '1 123,12')

    # ------------------------------------------------------------------------------------------------------------------
    def test02(self):
        self._test('1123.12', '1,123.12')
        self._test('1123.12', '1 123.12')

    # ------------------------------------------------------------------------------------------------------------------
    def test03(self):
        self._test('123.12', '123.12')
        self._test('123.12', '123,12')

    # ------------------------------------------------------------------------------------------------------------------
    def test04(self):
        self._test('1451.37', '1451.37')
        self._test('1451.37', '1451,37')

# ----------------------------------------------------------------------------------------------------------------------
